clang-tools 8.0.0

Classes | Namespaces | Enumerations | Functions
TUScheduler.h File Reference
`#include "ClangdUnit.h"`
`#include "Function.h"`
`#include "Threading.h"`
`#include "llvm/ADT/StringMap.h"`
`#include <future>`
Include dependency graph for TUScheduler.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::InputsAndAST
struct | clang::clangd::InputsAndPreamble
struct | clang::clangd::ASTRetentionPolicy
| Configuration of the AST retention policy. More...
struct | clang::clangd::TUAction
struct | clang::clangd::TUStatus
struct | clang::clangd::TUStatus::BuildDetails
class | clang::clangd::ParsingCallbacks
class | clang::clangd::TUScheduler
| Handles running tasks for ClangdServer and managing the resources (e.g., preambles and ASTs) for opened files. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Enumerations
enum | clang::clangd::WantDiagnostics { clang::clangd::WantDiagnostics::Yes, clang::clangd::WantDiagnostics::No, clang::clangd::WantDiagnostics::Auto }
| Determines whether diagnostics should be generated for a file snapshot. More...

## Functions
unsigned | clang::clangd::getDefaultAsyncThreadsCount ()
| Returns a number of a default async threads to use for TUScheduler. More...
template<typename T >
std::future< T > | clang::clangd::runAsync (llvm::unique_function< T()> Action)
| Runs `Action` asynchronously with a new std::thread. More...